package ClienteServidor;

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
/**
* Muestra en dialogo para capturar el nombre de un archivo
* @author 	Alonso Ramrez
* @version 	1.0
* @since       JDK1.0
*/		

public class EscojeArchivo extends Dialog implements WindowListener,ActionListener{
	/**
	* en donde se deja el archivo capturado
	*/
	public String archivo="";
	/**
	* Respuesta del usuario
	*/
	public boolean acepto=false;	
	
	/**
	* Para captura
	*/
	TextField TFNombreArchivo=new TextField();
	/**
	* Respuesta de usuario
	*/
	Button bAceptar= new Button("Aceptar"),bCancelar = new Button("Cancelar");
	
	/**
	* @param madre La ventana madre de donde se va a mostrar
	* @param titulo El titulo
	* @param modal si va a ser modal o no
	* @param x coordenada
	* @param y coordenada
	* @param dx ancho
	* @param dy alto
	*/
	public EscojeArchivo(Frame madre,String ttulo,boolean modal,int x,int y,int dx,int dy) {
		super(madre,ttulo,modal);
		
		setLayout(new GridLayout(4,3));

		add(new Label(""));
		add(new Label(""));
		add(new Label(""));
		
		add(new Label("Nombre de Archivo:"));
		add(TFNombreArchivo);
		add(new Label(""));
		
		add(new Label(""));
		add(new Label(""));
		add(new Label(""));

		add(new Label(""));
		add(bAceptar);
		add(bCancelar);
		
		
		pack();
		setSize(dx,dy);
		setLocation(x,y);
		setModal(modal);
		addWindowListener(this);
		bAceptar.addActionListener(this);
		bCancelar.addActionListener(this);
		
		
		setResizable(false);
		show();
	}
	
		/****************************************************/
    public void windowOpened(WindowEvent e){}
    public void windowActivated(WindowEvent e){}
    public void windowDeactivated(WindowEvent e){}
    public void windowIconified(WindowEvent e){}
    public void windowDeiconified(WindowEvent e){}
    public void windowClosed(WindowEvent e){}
	public void windowClosing(WindowEvent e){
		hide();
		setVisible(false);
	}
	
	/**
	* Respuesta de usuario
	*/
	public void actionPerformed(ActionEvent e){
		if(e.getSource()==bAceptar){
			if(TFNombreArchivo.getText().equals(""))
				return;
			// guardar valores
			archivo=TFNombreArchivo.getText();
			//indicar que acepto
			acepto=true;
		}
		windowClosing(new WindowEvent(this,WindowEvent.WINDOW_CLOSING));
	}


}
