package ClienteServidor;

import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class ConfiguraPuerto extends Dialog implements WindowListener,ActionListener{
	public int puerto=ConectorCliente.default_port;
	public boolean acepto=false;	
	
	TextField TFPuerto=new TextField();
	
	Button bAceptar= new Button("Aceptar"),bCancelar = new Button("Cancelar");
	
	public ConfiguraPuerto(Frame madre,String ttulo,boolean modal,int x,int y,int dx,int dy,int pPuerto) {
		super(madre,ttulo,modal);
		
		setLayout(new GridLayout(4,3));

		TFPuerto.setText(Integer.toString(pPuerto));
		add(new Label(""));
		add(new Label(""));
		add(new Label(""));
		
		add(new Label("Numero de Puerto:"));
		add(TFPuerto);
		add(new Label(""));
		
		add(new Label(""));
		add(new Label(""));
		add(new Label(""));

		add(new Label(""));
		add(bAceptar);
		add(bCancelar);
		
		
		pack();
		setSize(dx,dy);
		setLocation(x,y);
		setModal(modal);
		addWindowListener(this);
		bAceptar.addActionListener(this);
		bCancelar.addActionListener(this);
		
		
		setResizable(false);
		show();
	}
	
		/****************************************************/
    public void windowOpened(WindowEvent e){}
    public void windowActivated(WindowEvent e){}
    public void windowDeactivated(WindowEvent e){}
    public void windowIconified(WindowEvent e){}
    public void windowDeiconified(WindowEvent e){}
    public void windowClosed(WindowEvent e){}
	public void windowClosing(WindowEvent e){
		hide();
		setVisible(false);
	}
	
	public void actionPerformed(ActionEvent e){
		if(e.getSource()==bAceptar){
			if(TFPuerto.getText().equals(""))
				return;
			try{
				puerto=Integer.parseInt(TFPuerto.getText());					
			}
			catch(NumberFormatException ne){
				return;
			}
			//indicar que acepto
			acepto=true;
		}
		windowClosing(new WindowEvent(this,WindowEvent.WINDOW_CLOSING));
	}


}
