package ClienteServidor;

import java.io.*;

public class ListaDeArchivos implements FilenameFilter {
	public  String ext=".tf";
	private String directorio="."+File.separator;
	public  String[] files;
	

	public void obtiene() {
		if (!ext.startsWith(".")) { 
			ext="."+ext; 
		}
		File d=new File(directorio);
		if (d.exists()) { 
			files=d.list(this);
		}
		else
			files = null;
	}

	public boolean accept(File d,String name) {
		if (ext.equals(".*")) { 
			return true; 
		}
		
		File test=new File(d,name);
		if (test.isFile()) { 
			return (name.lastIndexOf(ext)==(name.length()-ext.length())); 
		} else { 
			return false; 
		}
	}

}

