package ClienteServidor;

/**
* Es una clase que brinda los tokens del protocolo implementado, asi como
* metodos de utilizacion.
* @author 	Alonso Ramrez
* @version 	1.0
* @since       JDK1.0
*/		
public class Protocolo{
	
	/**
	* El cliente hace login
	*/
	final static String TK_LOGIN        = "LP";
	
	/**
	* El servidor contesta Login mal
	*/
	final static String TK_LOGIN_MAL    = "LX";
	/**
	* El servidor contesta password mal
	*/
	final static String TK_PASSWORD_MAL = "PX";

	/**
	* El servidor contesta Login Ok
	*/
	final static String TK_LOGIN_OK = "LC";

	/**
	* El cliente pide la Hora
	* El servidor contesta la hora
	*/
	final static String TK_MANDA_HORA	      = "MH";
	/**
	* El cliente pide el clima
	* El servidor contesta el clima
	*/
	final static String TK_MANDA_CLIMA	      = "MC";
	/**
	* El cliente pide la lista de clientes
	* El servidor contesta la lista de clientes
	*/
	final static String TK_MANDA_CLIENTES      = "MI";
	/**
	* El cliente pide la lista de archivos
	* El servidor contesta la lista de archivos
	*/
	final static String TK_MANDA_LISTA_ARCH   = "ML";
	/**
	* El cliente pide que se le mande un archivo
	* El servidor manda un archivo
	*/
	final static String TK_RECIBE_ARCH        = "RA";
	/**
	* El cliente hace logout
	*/
	final static String TK_LOGOUT     = "LO";

	/**
	* El servidor dice a sus clientes que ya no esta disponible
	*/
	final static String TK_SERVIDOR_ABAJO	= "SA";

	/**
	* El servidor manda un mensaje a todos sus clientes
	*/
	final static String TK_MENSAJE_A_TODOS	= "BR";  //broadcast

	/**
	* Calcula el Check Sum de una trama (no implementado)
	*/
	public static String chk(String trama){
		return "__";
	}
	
}